GPSCORRELATE(1)

NAME
gpscorrelate - correlates digital images with GPS data filling EXIF fields

SYNOPSIS

gpscorrelate [-z | --timeadd +/-HH[:MM]] [-O | --photooffset seconds] [-i | --no-interpolation] [-v | --verbose] [-d | --datum datum] [-n | --no-write] [-m | --max-dist time] [-t | --ignore-tracksegs] [-M | --no-mtime] [-f | --fix-timestamps] [-p | --degmins] -g file.gpx image.jpg...

gpscorrelate -s | --show | -o | --machine image.jpg...

gpscorrelate [-M | --no-mtime] {-r | --remove} image.jpg...

gpscorrelate -V | --version | -h | --help

gpscorrelate-gui

DESCRIPTION

This manual page documents briefly the gpscorrelate and gpscorrelate-gui commands.

There is an extended documenation available in HTML format; see below.

gpscorrelate is a program that acts on digital images in JPEG format filling EXIF (Exchangeable Image File Format) fields related to GPS (Global Positioning System) information. Source for the GPS data is a record of GPS information encoded in GPX (GPS Exchange Format) Format. The act of filling those fields is referred to as correlation.

If GPS data are available at the precise moment the image was taken (with a 1-second granularity) the GPS data are stored unmodified in EXIF fields. If they are not linear interpolation of GPS data available at moments before and after the image was taken can be used.

gpscorrelate is a command line tool implementing correlation whereas gpscorrelate-gui is the corresponding GTK+ graphical user interface.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the HTML documentation.

-g, --gps file.gpx
    correlate using the specified GPX file with GPS data

-s, --show
    only show the GPS data of the given images

-o, --machine
    only show the GPS data of the given images in a machine readable output, if there is any

-r, --remove
    only remove GPS EXIF data from the given images

-z, --timeadd +/-XX[:XX]
    time to add to GPS data to make it match the timestamps of the images. GPS data is in UTC; images are not likely to be in UTC. Enter the timezone used when taking the images: eg, +8 for Perth

-O, --photooffset seconds
    time in seconds to add to the photo timestamp to make it match the GPS timestamp. To determine the amount of seconds needed, just create a picture of your GPS device showing the current time and compare it with the timestamp of your photo file.

-i, --no-interpolation
    disable interpolation between points. Interpolation is linear, points are rounded if disabled

-v, --verbose
    show which GPS data has been selected for each image

-d, --datum datum
    specify measurement datum. If not set, WGS-84 used

-n, --no-write
    do not write the exif data. Useful with --verbose

-m, --max-dist time
    max time outside points that image will be matched. Time is in seconds

-t, --ignore-tracksegs
    Interpolate between track segments, too

-M, --no-mtime
    Do not change mtime of modified files

-f, --fix-timestamps
    Fix broken GPS datestamps written with versions < 1.5.2

-p, --degmins
    Write location as DD MM.MM as was default before < 1.5.3

-h, --help
    Only show summary of options

-V, --version
    Only print the version

SEE ALSO

gpsd (1), gpsbabel (1), gpxlogger (1), cgpxlogger (1).

The documentation of gpscorrelate and gpscorrelate-gui in HTML format are available on the filesystem at /usr/local/share/doc/gpscorrelate.

AUTHOR

This manual page was initially written by Stefano Zacchiroli <zack@debian.org> for the Debian(TM) system. It was extended by Till Maas <opensource@till.name>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR

Stefano Zacchiroli
    Author.

COPYRIGHT
Copyright © 2006, 2008 Stefano Zacchiroli <zack@debian.org>, Till Maas